Skip to content

List survey responses

GET
/v1/survey-responses
curl --request GET \
--url 'https://api.vocapable.com/v1/survey-responses?limit=50' \
--header 'Authorization: Bearer <token>'
limit
Limit
integer
default: 50 >= 1 <= 200
cursor
Any of:
string
agent_version_id
Any of:
string

Filter on agent_version_id. Comma-separated values are OR.

agent_version_id.gte
Any of:
string

Filter on agent_version_id with the gte operator.

agent_version_id.lte
Any of:
string

Filter on agent_version_id with the lte operator.

agent_version_id.gt
Any of:
string

Filter on agent_version_id with the gt operator.

agent_version_id.lt
Any of:
string

Filter on agent_version_id with the lt operator.

agent_version_id.in
Any of:
string

Filter on agent_version_id with the in operator.

call_id
Any of:
string

Filter on call_id. Comma-separated values are OR.

call_id.gte
Any of:
string

Filter on call_id with the gte operator.

call_id.lte
Any of:
string

Filter on call_id with the lte operator.

call_id.gt
Any of:
string

Filter on call_id with the gt operator.

call_id.lt
Any of:
string

Filter on call_id with the lt operator.

call_id.in
Any of:
string

Filter on call_id with the in operator.

campaign_id
Any of:
string

Filter on campaign_id. Comma-separated values are OR.

campaign_id.gte
Any of:
string

Filter on campaign_id with the gte operator.

campaign_id.lte
Any of:
string

Filter on campaign_id with the lte operator.

campaign_id.gt
Any of:
string

Filter on campaign_id with the gt operator.

campaign_id.lt
Any of:
string

Filter on campaign_id with the lt operator.

campaign_id.in
Any of:
string

Filter on campaign_id with the in operator.

completion_status
Any of:
string

Filter on completion_status. Comma-separated values are OR.

completion_status.gte
Any of:
string

Filter on completion_status with the gte operator.

completion_status.lte
Any of:
string

Filter on completion_status with the lte operator.

completion_status.gt
Any of:
string

Filter on completion_status with the gt operator.

completion_status.lt
Any of:
string

Filter on completion_status with the lt operator.

completion_status.in
Any of:
string

Filter on completion_status with the in operator.

created_at
Any of:
string

Filter on created_at. Comma-separated values are OR.

created_at.gte
Any of:
string

Filter on created_at with the gte operator.

created_at.lte
Any of:
string

Filter on created_at with the lte operator.

created_at.gt
Any of:
string

Filter on created_at with the gt operator.

created_at.lt
Any of:
string

Filter on created_at with the lt operator.

created_at.in
Any of:
string

Filter on created_at with the in operator.

Successful Response

Media typeapplication/json
CursorPage[SurveyResponse]
object
data
required
Data
Array<object>
SurveyResponse
object
id
required
Id
string
call_id
required
Call Id
string
agent_version_id
required
Agent Version Id
string
answers
Answers
object
key
additional properties
any
completion_status
required
Completion Status
string
Allowed values: complete partial refused
score
Any of:
number
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
next_cursor
Any of:
string
has_more
Has More
boolean
Example
{
"data": [
{
"completion_status": "complete"
}
],
"has_more": false
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}